For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • POSTApprove Contract
      • POSTApprove Custom Rate
      • POSTUpdate Tier
      • GETGet Contract
      • GETGet Custom Rate
      • BuyRates
      • Contract
      • CustomRate
      • POSTEvent: custom-rate.created
      • BaseRate
      • RateObjDuration
      • RateObjDurationEffectiveFrom
      • User
LogoLogo
Reference - Partner APIRates

Get Custom Rate

GET
/v1/custom-rate/:customRateId
GET
/v1/custom-rate/:customRateId
$curl https://agencyapi.afterpay.com/v1/custom-rate/712123123556455 \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent"
1{
2 "customRateId": "71212312355645",
3 "status": "APPROVED",
4 "customRateType": "MERCHANT",
5 "merchantId": "string",
6 "reference": "ac_advkasdvasfbaadf:US",
7 "effectiveFrom": "2024-02-25T03:47:52Z",
8 "effectiveEndDate": "string",
9 "rateDetails": [
10 {
11 "countryCode": "US",
12 "rates": [
13 {
14 "variableRatePercentage": "5.00",
15 "fixedRate": "0.30",
16 "fixedRateCurrencyCode": "USD",
17 "rateType": "INTRODUCTORY",
18 "durationInMonths": 1
19 }
20 ]
21 }
22 ]
23}
Returns details for the custom rate between the partner and Afterpay.
Was this page helpful?
Previous

BuyRates

Next
Built with

Path parameters

customRateIdstringRequired
The unique ID for the custom rate between Afterpay and the partner.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Response

Details of the custom rate.
customRateIdstring
The unique ID for the custom rate between Afterpay and the partner.
statusenum
Custom rate status.
Allowed values:
customRateTypeenum
Defines whether the custom rate applies to only one seller or applies to multiple sellers under the same platform or brand.
Allowed values:
merchantIdstring
Optional merchant id that is unique to the merchant.
referencestring

Seller or brand reference to which the custom rate is being applied; this defines the unique seller or the unique platform or brand and will be requested from the partner manually before the request is created.

effectiveFromstring or null
Date the custom rate is effective from.
effectiveEndDatestring or null
Date the custom rate ends.
rateDetailslist of objects
The custom rate details that apply to this seller or platform or brand.

Errors

401
Unauthorized Error
404
Not Found Error
503
Service Unavailable Error